%{?scl:%scl_package rubygem-%{gem_name}}
%{!?scl:%global pkg_name %{name}}

%global gem_name gemcutter

Summary:        The gemcutter client gem
Name:           %{?scl_prefix}rubygem-%{gem_name}
Version:        0.3.0
Release:        6%{?dist}
Group:          Development/Languages
License:        MIT
URL:            http://gemcutter.org
Source0:        http://gems.rubyforge.org/gems/%{gem_name}-%{version}.gem
BuildRoot:      %{_tmppath}/%{pkg_name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires:       %{?scl_prefix}ruby(abi) = 1.9.1
Requires:	%{?scl_prefix}ruby(rubygems)
Requires:       %{?scl_prefix}rubygem(json)
%{?scl:Requires: %{scl}-runtime}
BuildRequires:	%{?scl_prefix}rubygems-devel
#BuildRequires:	%{?scl_prefix}rubygem(webmock)
BuildRequires:	%{?scl_prefix}rubygem(shoulda)
BuildRequires:	%{?scl_prefix}rubygem(activesupport)
BuildRequires:	%{?scl_prefix}rubygem(rake)
#BuildRequires:	%{?scl_prefix}rubygem(rr)
BuildRequires:  dos2unix
# For test
#BuildRequires:  %{?scl_prefix}rubygem(shoulda)

BuildArch:      noarch
Provides:       %{?scl_prefix}rubygem(%{gem_name}) = %{version}

%description
The gemcutter client gem that interacts with the site http://gemcutter.org

%prep
%setup -n %{pkg_name}-%{version} -q -T -c
mkdir -p ./%{gem_dir}

%build

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{gem_dir}
%{?scl:scl enable %{scl} "}
gem install --local --install-dir ./%{gem_dir} \
            --force --rdoc %{SOURCE0}
%{?scl:"}

# bug 570254
grep -rl json_pure . | xargs sed -i -e 's|json_pure|json|'

mkdir -p %{buildroot}/%{gem_dir}
cp -a ./%{gem_dir}/* %{buildroot}/%{gem_dir}/.

dos2unix %{buildroot}/%{gem_instdir}/MIT-LICENSE

%check
pushd ./%{gem_instdir}
#TODO: test when webmock and rr get to rawhide
#rake test || :
popd

%clean
rm -rf %{buildroot}

%files
%defattr(-, root, root, -)
%doc %{gem_docdir}
%dir %{gem_instdir}/
%doc %{gem_instdir}/MIT-LICENSE
%{gem_instdir}/Rakefile
%{gem_libdir}
%{gem_instdir}/test
%attr(0644,root,root) %{gem_cache}
%{gem_spec}

%changelog
* Thu Feb 02 2012 Vít Ondruch <vondruch@redhat.com> - 0.3.0-6
- Rebuilt for Ruby 1.9.3.

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Thu Mar  4 2010 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 0.3.0-3
- Require rubygem(json), replace json_pure with json
  (bug 570254)

* Sat Jan  9 2010 Jeroen van Meeuwen <j.van.meeuwen@ogd.nl> - 0.3.0-2
- Fix end-of-line encoding in MIT-LICENSE file
- First package
